Description
Hi,

it'd be nice to be able to sort a foundset before processing it in a report (for example invoice items). Sometimes, the related foundset
is sorted by the user in a way that is not suitable for a report. In that case | could hard code the desired sorting in the report...

Not sure about compatibility with older versions of Servoy. IFoundSet.setSort(sortString) is new with Servoy 5... Hope that is not an
issue.

Thanks
Patrick

History

#1 - 05/04/2011 05:15 PM - Patrick Talbot

Sorry, but | don't really see the point...
Knowing that you insert a foundset yourself in a report context from scripting, nothing prevents you to sort it beforehand, so you can already
hard-code your sort there.

#2 - 05/04/2011 05:25 PM - Patrick Ruhsert
Just came across that because we print from different locations and have to think about all these. It seemed easier to do at the point where it is

needed. Never mind.

#3 - 05/05/2011 02:00 PM - Patrick Talbot

- Status changed from New to Rejected

| really think the point where it is needed is the script which injects the data to the report engine, not the report engine itself.
This is where you manipulate the data, the report should be seen as a View in a MVC paradigm, so the less logic you put into it, the better.

#4 - 05/05/2011 02:00 PM - Patrick Talbot

- Status changed from Rejected to Closed
